<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 * and the left sidebar conditional
 *
 * @since 2.0.0
 */
$bavotasan_theme_options = bavotasan_theme_options();
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="page" class="grid<?php echo ' ' . $bavotasan_theme_options['width']; ?>">
		<header id="header" class="row" role="banner">
			<div class="c12">
				<div id="mobile-menu">
					<a href="#" class="left-menu"><i class="fa fa-reorder"></i></a>
					<a href="#"><i class="fa fa-search"></i></a>
				</div>
				<div id="drop-down-search"><?php get_search_form(); ?></div>

				<?php
				$logo = $bavotasan_theme_options['logo'];
				$text_color = get_header_textcolor();
				$alignment = $bavotasan_theme_options['header_alignment'];
				$header_class = ( $alignment ) ? $alignment : 'fl';
				$header_class2 = ( ! $logo && 'blank' == $text_color ) ? 'remove' : $header_class;
				$class = ( $logo ) ? ' class="remove"' : '';
				$tag = ( is_front_page() && is_home() ) ? 'h1' : 'div';
				?>
				<div class="title-logo-wrapper <?php echo esc_attr( $header_class2 ); ?>">
					<?php
					if ( $logo ) {
						?>
						<a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" id="site-logo"  rel="home"><img src="<?php echo esc_url( $logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a>
					<?php } ?>
					<div id="title-wrapper">
						<<?php echo $tag; ?> id="site-title"<?php echo $class; ?>><a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></<?php echo $tag; ?>>
						<?php if ( $bavotasan_theme_options['tagline'] ) { ?><div id="site-description"><?php bloginfo( 'description' ); ?></div><?php } ?>
					</div>
				</div>
				<?php
				if ( is_active_sidebar( 'header-area' ) ) { ?>
					<div id="header-widgets" class="<?php echo esc_attr( $header_class ); ?>">
						<?php dynamic_sidebar( 'header-area' ); ?>
					</div>
					<?php
				}

				if ( $header_image = get_header_image() ) :
					?>
					<a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img id="header-img" src="<?php echo esc_url( $header_image ); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a>
					<?php
				endif;
				?>

				<div id="nav-wrapper">
					<div class="nav-content">
						<nav id="site-navigation" class="menus clearfix" role="navigation">
							<div class="screen-reader-text"><?php _e( 'Main menu', 'magazine-premium' ); ?></div>
							<a class="screen-reader-text" href="#primary" title="<?php esc_attr_e( 'Skip to content', 'magazine-premium' ); ?>"><?php _e( 'Skip to content', 'magazine-premium' ); ?></a>
							<?php echo str_replace( '</li>', '', wp_nav_menu( array( 'theme_location' => 'primary', 'echo' => false, 'container_id' => 'main-menu' ) ) ); ?>

							<?php
							if ( has_nav_menu( 'social' ) )
								wp_nav_menu( array( 'theme_location' => 'social', 'container' => 'div', 'container_id' => 'menu-social', 'container_class' => 'menu', 'menu_id' => 'menu-social-items', 'menu_class' => 'menu-items', 'depth' => 1, 'link_before' => '<span class="screen-reader-text">', 'link_after' => '</span>', 'fallback_cb' => '' ) );
							?>
						</nav><!-- #site-navigation -->

						<?php if ( has_nav_menu( 'secondary' ) ) { ?>
						<nav id="site-sub-navigation" class="menus" role="navigation">
							<div class="screen-reader-text"><?php _e( 'Sub menu', 'magazine-premium' ); ?></div>
							<?php echo str_replace( '</li>', '', wp_nav_menu( array( 'theme_location' => 'secondary', 'menu_class' => 'secondary-menu', 'echo' => false, 'fallback_cb' => false ) ) ); ?>
						</nav><!-- #site-sub-navigation -->
						<?php } ?>
					</div>
				</div>

			</div><!-- .c12 -->

		</header><!-- #header .row -->

		<div id="main">
			<div class="row">